import request from '@/utils/request'

export function fetchList(params) {
  return request({
    url: '/api/patients',
    method: 'get',
    params: params
  })
}

export function getSchedualPatient(params) {
  return request({
    url: '/api/dialysis/patients',
    method: 'get',
    params: params
  })
}

export function PatientInfo(params) {
  return request({
    url: '/api/dialysis/info',
    method: 'get',
    params: params
  })
}

export function doctorAndNurseList(params) {
  return request({
    url: '/api/alldoctors',
    method: 'get',
    params: params
  })
}

export function commitDailysisRecord(params) {
  return request({
    url: '/api/dialysis/record',
    method: 'post',
    params: params
  })
}

export function getGobelInfo(params) {
  return request({
    url: '/api/dialysis/golbal',
    method: 'post',
    params: params
  })
}

export function CreateDoctorAdvice(id, dialysisId, record_date, params) {
  return request({
    url: '/api/dialysis/advice/create?id=' + id + '&dialysis_id=' + dialysisId + '&record_date=' + record_date,
    method: 'post',
    data: params
  })
}

export function getDoctorAdviceById(params) {
  return request({
    url: '/api/dialysis/advice/get',
    method: 'get',
    params: params
  })
}

export function editDoctorAdviceById(params) {
  return request({
    url: '/api/dialysis/advice/edit',
    method: 'put',
    params: params
  })
}

export function CreateMonitor(params) {
  return request({
    url: '/api/dialysis/monitor/create',
    method: 'post',
    params: params
  })
}

export function DelMonitor(params) {
  return request({
    url: '/api/dialysis/monitor/del',
    method: 'post',
    params: params
  })
}

export function GetAllZone(params) {
  return request({
    url: '/api/dialysis/zone',
    method: 'get',
    params: params
  })
}

export function PostStartRecordInfo(params) {
  return request({
    url: '/api/dialysis/start',
    method: 'post',
    params: params
  })
}

export function GetGlobalInfo(params) {
  return request({
    url: '/api/dialysis/device',
    method: 'get',
    params: params
  })
}

export function GetDeviceInfo(params) {
  return request({
    url: '/api/dialysis/device',
    method: 'get',
    params: params
  })
}

export function commitDailysisSolution(params) {
  return request({
    url: '/api/dialysis/global',
    method: 'get',
    params: params
  })
}

export function delMonitor(params) {
  return request({
    url: '/api/dialysis/monitor/del',
    method: 'post',
    params: params
  })
}

export function getDialysisRecord(params) {
  return request({
    url: '/api/dialysis/dialysisorder',
    method: 'Get',
    params: params
  })
}

export function postPrescription(params) {
  console.log('params', params)
  return request({
    url: '/api/dialysis/prescription',
    method: 'Post',
    params: params,
    headers: {
      'Permission': 2
    }
  })
}

export function postSoulution(params) {
  console.log('params', params)
  return request({
    url: '/api/dialysis/soulution',
    method: 'Post',
    params: params,
    headers: {
      'Permission': 2
    }

  })
}

export function postDoubleCheck(params) {
  return request({
    url: '/api/dialysis/dobule',
    method: 'Post',
    params: params,
    headers: {
      'Permission': 2
    }

  })
}

export function postAccepts(params) {

  return request({
    url: '/api/dialysis/accepts',
    method: 'Post',
    params: params,
    headers: {
      'Permission': 2
    }

  })
}

export function postAssessmentBeforeDislysis(params) {

  return request({
    url: '/api/dialysis/assessmentbeforedislysis',
    method: 'Post',
    params: params,
    headers: {
      'Permission': 2
    }

  })
}

export function postTreatmentsummary(params) {

  return request({
    url: '/api/dialysis/treatmentsummary',
    method: 'Post',
    params: params,
    headers: {
      'Permission': 2
    }

  })
}

export function postAssessmentAfterDislysis(params, data) {
  return request({
    url: '/api/dialysis/assessmentafterdislysis',
    method: 'Post',
    params: params,
    data: data,
    headers: {
      'Permission': 2
    }

  })
}

export function postDelMonitorInfo(params) {
  return request({
    url: '/api/dialysis/monitor/del',
    method: 'Post',
    params: params,
    data: data
  })
}

export function CreateGroupAdvice(id, groupno, advices) {
  return request({
    url: '/api/advice_remind/create?id=' + id + '&groupno=' + groupno,
    method: 'post',
    data: advices,
    headers: {
      'Permission': 2
    }

  })
}

export function GetSolution(params) {
  return request({
    url: '/api/solution/get',
    method: 'get',
    params: params
  })
}

export function CreateDryWeight(params) {
  return request({
    url: '/api/dryweight/commit',
    method: 'post',
    params: params,
    headers: {
      'Permission': 2
    }

  })
}

export function GetDialysisgoods(params) {
  return request({
    url: '/api/dialysisgoods/get',
    method: 'get',
    params: params

  })
}

export function GetDialysisGoodStatistics(params) {
  return request({
    url: '/api/goodstatistics/get',
    method: 'get',
    params: params

  })
}

export function changeRole(params) {
  return request({
    url: '/api/get/getrolelist',
    method: 'get',
    params: params
  })
}

export function getPatientDialysisSolutionGroupList(params) {
  return request({
    url: '/api/patient/getpatientdialysissolutiongrouplist',
    method: 'get',
    params: params
  })
}

export function getDialysisAdviceTemplateList(params) {
  return request({
    url: '/api/patient/getdialysisadvicetemplatelist',
    method: 'get',
    params: params
  })
}

export function saveDialysisSetting(params) {
  return request({
    url: '/api/patient/savedialysissetting',
    method: 'get',
    params: params
  })
}

export function getDialysisSetting(params) {
  return request({
    url: '/api/patient/getdialysissetting',
    method: 'get',
    params: params
  })
}

export function getDialysisParameter(params) {
  return request({
    url: '/api/patient/getdialysisparameter',
    method: 'get',
    params: params
  })
}

export function getDialysisGoodTotalCount(params) {
  return request({
    url: '/api/patient/getdialysisgoodtotalcount',
    method: 'get',
    params: params
  })
}

export function getDialysisAdviceSchedudeList(params) {
  return request({
    url: '/api/patient/getdialysisadvicescheduelist',
    method: 'get',
    params: params
  })
}

export function getDialysisParameterGoodList(params) {
  return request({
    url: '/api/patient/getdialysisparametergoodlist',
    method: 'get',
    params: params
  })
}

export function saveHisDialysis(params) {
  return request({
    url: '/api/patient/savehisdialysis',
    method: 'get',
    params: params
  })
}

export function getHisDialysisGoodCount(params) {
  return request({
    url: '/api/patient/gethisdialysisgoodcount',
    method: 'get',
    params: params
  })
}

export function getSchedualPrintList(params) {
  return request({
    url: '/api/patient/getscheduleprintlist',
    method: 'get',
    params: params
  })
}

export function getSolutionlistByOrgId(params) {
  return request({
    url: '/api/patient/getsolutionlistbyorgid',
    method: 'get',
    params: params
  })
}

export function getDialysisAdviceToday(params) {
  return request({
    url: '/api/patient/getdialysisadvicetoday',
    method: 'get',
    params: params
  })
}

export function getLongDialysisAdviceToday(params){
  return request({
    url:"/api/patient/getlongdialysisadvicetoday",
    method:"Get",
    params:params,
  })
}


export function SaveDialysisInformationSetting(params) {
  return request({
    url: '/api/patient/savedialysisInformationsetting',
    method: 'get',
    params: params
  })
}

export function getDialysisInformationSetting(params){

  return request({
    url:"/api/patient/getdialyisinformationsetting",
    method:"get",
    params:params
  })
}

export function checkDialysisInformation(params){

  return request({
    url:"/api/patient/checkdialysisinformation",
    method:"Get",
    params:params
  })
}



export function getSchedualPatientFlow(params) {
  return request({
    url: '/api/dialysis/patientsflow',
    method: 'get',
    params: params
  })
}

export function saveInformation(params){

  return request({
    url:"/api/patient/saveinformation",
    method:"get",
    params:params
  })
}


export function getPatientList(keyword,params){
   console.log("paramswoowwo",params)
  return request({
    url:"/api/patient/getpatientlist?keyword="+keyword,
    method:"get",
    params:params
  })
}

export function getPrescriptionLogList(params){
  
  return request({
    url:"/api/patient/getprescriptionloglist",
    method:"get",
    params:params
  })
}

export function getBeforLogList(params){
 
  return request({
    url:"/api/patient/getbeforloglist",
    method:"get",
    params:params
  })
}

export function getDocLogLogList(params){
  return request({
    url:"/api/patient/getdocloglist",
    method:"get",
    params:params
  })
}

export function getMonitorLogList(params){
  return request({
    url:"/api/patient/getmonitorloglist",
    method:"get",
    params:params
  })
}

export function getAferLogList(params){

  return request({
    url:"/api/patient/getafterloglist",
    method:"get",
    params:params,
  })
}


export function saveGatherSetting(params){

  return request({
     url:"/api/patient/savegathersetting",
     method:"get",
     params:params,
  })
}

export function getGatherSetting(params){
  return request({
    url:"/api/patient/getgathersetting",
    method:"get",
    params:params
  })
}


export function getDialysisGatherList(params){

  return request({
    url:"/api/patient/getdialysisgatherlist",
    method:"get",
    params:params,
  })
}
