import request from '@/utils/request'

export function getDialysisRecordInitData() {
  return request({
    url: '/api/dialysis/initdata',
    method: 'get'
  })
}

export function getDialysisSchedules(ymd) {
  var params = {
    date: ymd
  }
  return request({
    url: '/api/dialysis/schedules',
    method: 'get',
    params: params
  })
}

export function getDialysisScheduleDetail(patient_id, ymd) {
  var params = {
    patient_id: patient_id,
    date: ymd
  }
  return request({
    url: '/api/dislysis/schedule',
    method: 'get',
    params: params
  })
}

export function editMonitor(patient_id, schedule_date, data, mode) {
  var params = {
    patient_id: patient_id,
    schedule_date: schedule_date,
    mode: mode
  }

  return request({
    url: '/api/dislysis/monitor/edit',
    method: 'post',
    params: params,
    data: data,
    headers: { 'Permission': 2 }

  })
}

export function startDialysis(patient_id, schedule_date, nurse_id, bed_id, lood_drawing, puncture_nurse_id, start_time, schedual_type, mode, washpipe_nurse, change_nurse, difficult_puncture_nurse, new_fistula_nurse, blood_drawing, quality_nurse, puncture_needle, puncture_way, dialysis_dialyszers, dialysis_irrigation, blood_access_id, nuclein_date, schedule_remark, order_remark,catheter_operation,blood_flow_volume) {
  var params = {
    patient_id: patient_id,
    date: schedule_date,
    nurse: nurse_id,
    bed: bed_id,
    puncture_nurse: puncture_nurse_id,
    start_time: start_time,
    lood_drawing: lood_drawing,
    schedual_type: schedual_type,
    mode: mode,
    washpipe_nurse: washpipe_nurse,
    change_nurse: change_nurse,
    difficult_puncture_nurse: difficult_puncture_nurse,
    new_fistula_nurse: new_fistula_nurse,
    blood_drawing: blood_drawing,
    quality_nurse_id: quality_nurse,
    puncture_needle: puncture_needle,
    puncture_way: puncture_way,
    dialysis_dialyszers: dialysis_dialyszers,
    dialysis_irrigation: dialysis_irrigation,
    blood_access_id: blood_access_id,
    nuclein_date: nuclein_date,
    schedule_remark: schedule_remark,
    order_remark: order_remark,
    catheter_operation:catheter_operation,
    blood_flow_volume:blood_flow_volume,
  }
  console.log('params', params)
  return request({
    url: '/api/dialysis/start_record',
    method: 'post',
    params: params,
    headers: { 'Permission': 2 }

  })
}

export function finishDialysis(patient_id, schedule_date, end_time, nurse_id, mode, puncture_point_haematoma, internal_fistula, catheter, cruor, mission,condenser) {
  var params = {
    patient_id: patient_id,
    date: schedule_date,
    nurse: nurse_id,
    end_time: end_time,
    mode: mode,
    puncture_point_haematoma: puncture_point_haematoma,
    internal_fistula: internal_fistula,
    catheter: catheter,
    cruor: cruor,
    mission: mission,
    condenser:condenser,
  }
  return request({
    url: '/api/dialysis/finish',
    method: 'post',
    params: params,
    headers: { 'Permission': 2 }

  })
}

export function postDelMonitorInfo(params) {
  return request({
    url: '/api/dialysis/monitor/del',
    method: 'post',
    params: params,
    headers: { 'Permission': 2 }

  })
}

export function getLongAdvice(params) {
  return request({
    url: '/api/dialysis/advice_remind',
    method: 'Get',
    params: params
  })
}

export function getLongAdviceOne(params) {
  return request({
    url: '/api/dialysis/advice_remind/one',
    method: 'Get',
    params: params
  })
}

export function getLongAdviceTwo(params) {
  return request({
    url: '/api/dialysis/advice_remind/two',
    method: 'Get',
    params: params
  })
}

export function GetSchedualNumber(params) {
  return request({
    url: '/api/schedule/get',
    method: 'Get',
    params: params
  })
}

export function PostModifyStartDialysis(params) {
  return request({
    url: '/api/start_dialysis/modify',
    method: 'Post',
    params: params,
    headers: { 'Permission': 2 }

  })
}

export function PostModifyFinishDialysis(params) {
  return request({
    url: '/api/finish_dialysis/modify',
    method: 'Post',
    params: params,
    headers: { 'Permission': 2 }

  })
}

export function getTodayMonitor(params) {
  return request({
    url: '/api/today_monitor/get',
    method: 'Get',
    params: params
  })
}

export function getInitPrintData(params) {
  return request({
    url: '/api/getinitprintdata',
    method: 'get',
    params: params
  })
}

export function getInitPrintDataOne(params) {
  return request({
    url: '/api/getinitprintdateone',
    method: 'get',
    params: params
  })
}
