import request from '@/utils/request'
import { sort } from 'semver'

export function adminMainView() {
  return request({
    url: '/api/adminmain',
    method: 'get'
  })
}

export function getAdmins(page) {
  const params = {
    page: page
  }
  return request({
    url: '/api/admins',
    method: 'get',
    params: params
  })
}

export function getAddAdminInitData() {
  return request({
    url: '/api/admin/addinit',
    method: 'get'
  })
}

export function addAdmin(params) {
  
  return request({
    url: '/api/admin/add',
    method: 'get',
    params: params
  })
}

export function getModifyAdminInitData(uid) {
  const params = {
    uid: uid
  }
  return request({
    url: '/api/admin/editinit',
    method: 'get',
    params: params
  })
}

export function modifyAdmin(params) {
 
  return request({
    url: '/api/admin/edit',
    method: 'get',
    params: params
  })
}

export function setAdminStatus(uid, enable) {
  const params = {
    uid: uid,
    enable: enable
  }
  return request({
    url: '/api/admin/setstatus',
    method: 'post',
    params: params
  })
}

export function getSpecialPermissionInitData() {
  return request({
    url: '/api/admin/specialpermission/initdata',
    method: 'get'
  })
}

export function submitDialysisRecordPermissionUsers(ids_str) {
  const params = {
    ids: ids_str
  }
  return request({
    url: '/api/admin/specialpermission/dialysisrecord/submit',
    method: 'post',
    params: params
  })
}


export function toSign(params){
  return request({
    url:"/api/sign/getsign",
    method:"get",
    params:params
  })
}

export function toTestOne(params){
  return request({
    url:"/api/sign/createrusername",
    method:"get",
    params:params
  })
}

export function toTestTwo(params){
  return request({
    url:"/api/sign/createpersionseal",
    method:"get",
    params:params
  })
}

export function toTestThree(params){
  return request({
    url:"/api/sign/createuploadpact",
    method:"get",
    params:params,
  })
}

export function toTestFour(params){
  return request({
    url:"/api/sign/createuserid",
    method:"Get",
    params:params
  })
} 

export function toTestFive(params){
  
  return request({
     url:"/api/sign/createenterpriserealname",
     method:"Get",
     params:params
  })
}

export function toTestSeven(params){
 
  return request({
    url:"/api/sign/addcontractsignatory",
    method:"Get",
    params:params
  })
}

export function toTestEight(params){
  
  return request({
    url:"/api/sign/contractsignatory",
    method:"Get",
    params:params,
  })
}

export function toTestNight(params){
  
  return request({
    url:"/api/sign/createbackstagesign",
    method:"get",
    params:params
  })
}

export function toTestTen(params){
  return request({
    url:"/api/sign/getverificationcode",
    method:"Get",
    params:params,
  })
}

export function toTestElement(params){
  return request({
    url:"/api/sign/totestelment",
    method:"get",
    params:params
  })
}

export function toTestThrityMent(params){
  
  return request({
    url:"/api/sign/totestthrityment",
    method:"Get",
    params:params,
  })
}


export function saveEnterprise(data){
  
  return request({
    url:"/api/sign/saveenerprise",
    method:"post",
    data:data,
  })
}

export function getEnterPriseById(params){
  return request({
    url:"/api/sign/getenerprisebyid",
    method:"Get",
    params:params
  })
}

export function getMobileCode(params){
   return request({
    url:"/api/sign/getmobilecode",
    method:"Get",
    params:params,
   })
}

export function savePersionEnterPrise(data){
  return request({
    url:"/api/sign/getpersionenterprise",
    method:"post",
    data:data,
  })
}

export function getPerseEnterPriseById(admin_user_id,params){
  
  return request({
    url:"/api/sign/getpersenterprisebyid?admin_user_id="+admin_user_id,
    method:"Get",
    params:params
  })
}

export function CreatePersionSeal(admin_user_id,params){

  return request({
    url:"/api/device/sign/creterpersionseal?admin_user_id="+admin_user_id,
    method:"get",
    params:params,
  })
}

export function CreateNewEnterPrise(admin_user_id,params){
 
   return request({
     url:"/api/device/sign/createnewenterprise?admin_user_id="+admin_user_id,
     method:"Get",
     params:params,
   })
}

export function toTestThrity(params){

   return request({
    url:"/api/device/contractid",
    method:"Get",
    params:params
   })
}

export function toEndEnterPrise(params){
  
  return request({
    url:"/api/device/endenterprise",
    method:"get",
    params:params
  })
}

export function getEnterPriseDetail(params){

  return request({
    url:"/api/device/getenterprisedetail",
    method:"get",
    params:params
  })
}

export function UploadPrintOrder(data){
  console.log("DATAOWOWOWOW",data)
  return request({
    url:"/api/device/uploadprintorder",
    method:"post",
    data:data,
  })
}

export function CreateQianshuUserName(admin_user_id,data){
  
  return request({
    url:"/api/device/createqianshuusername?admin_user_id="+admin_user_id,
    method:"Post",
    data:data,
  })
}

export function CreateSKDSendInformation(data){
  
  return request({
    url:"/api/device/createskdsendinformation",
    method:"Post",
    data:data,
  })
}

export function toSavePDFInformation(params){
  
  return request({
    url:"/api/device/tosavepdfinformation",
    method:"get",
    params:params,
  })
}

export function toCheckPDFInformation(params){
  
  return request({
    url:"/api/device/tocheckinformation",
    method:"Get",
    params:params,
  })
}

export function toAutoDrug(params){
  
  return request({
    url:"/api/device/toautodrug",
    method:"get",
    params:params
  })
}

// export function getdruginfoInformation(params){

//    return request({
//     url:"/api/device/getdruginfoinformation",
//     method:"Get",
//     params:params,
//    })
// }

export function toAutoDiagnose(params){
  
  return request({
    url:"/api/device/toautodiagnose",
    method:"get",
    params:params
  })
}

export function toAutoJiaYou(params){

  return request({
    url:"/api/device/toautojiayou",
    method:"get",
    params:params,
  })
}