import Layout from '@/views/layout/Layout'

export default {
  path: '/Dialysisanalysis',
  component: Layout,
  redirect: '/Dialysisanalysis/qualitycontrol/thyroidGland',
  name: 'Dialysisanalysis',
  alwaysShow: true,
  meta: {
    title: '专业质控',
    icon: 'statistics'
  },
  children: [

    {
      path: '/Dialysisanalysis/qualitycontrol/thyroidGland',
      component: () => import('@/xt_pages/Dialysisanalysis/qualitycontrol/thyroidGland'),
      name: 'thyroidGland',
      meta: {
        title: '甲状旁腺激素分析',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/hemoglobin',
      component: () => import('@/xt_pages/Dialysisanalysis/hemoglobin/index'),
      name: 'thyroidGland',
      meta: {
        title: '血红蛋白',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/bloodPotassium',
      component: () => import('@/xt_pages/Dialysisanalysis/bloodPotassium/index'),
      name: 'thyroidGland',
      meta: {
        title: '血钾',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/albumin',
      component: () => import('@/xt_pages/Dialysisanalysis/albumin/index'),
      name: 'thyroidGland',
      meta: {
        title: '白蛋白',
        noCache: true
      }
    },
    {
      path: '/Dialysisanalysis/qualitycontrol/bloodPhosphorus',
      component: () => import('@/xt_pages/Dialysisanalysis/bloodPhosphorus/index'),
      name: 'thyroidGland',
      meta: {
        title: '血磷',
        noCache: true
      }
    }, {
      path: '/Dialysisanalysis/qualitycontrol/calcium',
      component: () => import('@/xt_pages/Dialysisanalysis/calcium/index'),
      name: 'thyroidGland',
      meta: {
        title: '钙',
        noCache: true
      }},{
      path: '/Dialysisanalysis/qualitycontrol/platelets',
      component: () => import('@/xt_pages/Dialysisanalysis/platelets/index'),
      name: 'thyroidGland',
      meta: {
        title: 'KTV/URR',
        noCache: true
      }
    },{
      path: '/Dialysisanalysis/qualitycontrol/summary',
      component: () => import('@/xt_pages/Dialysisanalysis/summary/index'),
      name: 'index_summary',
      meta: {
        title: '指标汇总',
        noCache: true
      }
    },{
      path: '/Dialysisanalysis/qualitycontrol/print',
      component: () => import('@/xt_pages/Dialysisanalysis/print/print'),
      name: 'print',
      hidden: true,
      is_menu: false,
      meta: {
        title: 'print',
        noCache: true
      }
    }
    // {
    //   path: '/Dialysisanalysis/hemoglobin',
    //   component: () => import('@/xt_pages/Dialysisanalysis/hemoglobin/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血红蛋白',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/bloodPotassium',
    //   component: () => import('@/xt_pages/Dialysisanalysis/bloodPotassium/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血钾',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/albumin',
    //   component: () => import('@/xt_pages/Dialysisanalysis/albumin/index'),
    //   name: 'index',
    //   meta: {
    //     title: '白蛋白',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/bloodPhosphorus',
    //   component: () => import('@/xt_pages/Dialysisanalysis/bloodPhosphorus/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血磷',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/calcium',
    //   component: () => import('@/xt_pages/Dialysisanalysis/calcium/index'),
    //   name: 'index',
    //   meta: {
    //     title: '钙',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/platelets',
    //   component: () => import('@/xt_pages/Dialysisanalysis/platelets/index'),
    //   name: 'index',
    //   meta: {
    //     title: '血小板',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/otherIndicators',
    //   component: () => import('@/xt_pages/Dialysisanalysis/otherIndicators/index'),
    //   name: 'index',
    //   meta: {
    //     title: '其他指标',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/nonnumerical',
    //   component: () => import('@/xt_pages/Dialysisanalysis/nonnumerical'),
    //   name: 'nonnumerical',
    //   meta: {
    //     title: '非数值类的列表展示',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/Dialysisanalysis/dialysis_index',
    //   component: () => import('@/xt_pages/Dialysisanalysis/dialysis_index'),
    //   name: 'dialysis_index',
    //   meta: {
    //     title: '透析指标详情',
    //     noCache: true
    //   }
    // },


  ]
}



