import Layout from '@/views/layout/Layout'

export default {
  path: '/patients',
  component: Layout,
  redirect: 'noredirect',
  name: 'User',
  meta: {
    title: 'user',
    icon: 'bingren'
  },
  children: [{
    path: '/patients/patients',
    component: () => import('@/xt_pages/user/patients'),
    name: 'Patient',
    meta: {
      title: 'patient',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id',
    component: () => import('@/xt_pages/user/patientInfo'),
    hidden: true,
    is_menu: false,
    name: 'patient Page',
    meta: {
      title: 'patientPage',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/edit',
    component: () => import('@/xt_pages/user/editPatient'),
    hidden: true,
    is_menu: false,
    name: 'Edit Patient',
    meta: {
      title: 'editPatient',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/dialysisSolution',
    component: () => import('@/xt_pages/user/dialysisSolution'),
    hidden: true,
    is_menu: false,
    name: 'dialysisSolution',
    meta: {
      title: 'dialysisSolution',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/weight',
    component: () => import('@/xt_pages/user/weight'),
    hidden: true,
    is_menu: false,
    name: 'weight',
    meta: {
      title: 'weight',
      noCache: true
    }
  },

  {
    path: '/patients/patient/:id/vascularAccess',
    component: () => import('@/xt_pages/user/vascularAccess'),
    hidden: true,
    is_menu: false,
    name: 'vascularAccess',
    meta: {
      title: 'vascularAccess',
      noCache: true
    }
  },


  {
    path: '/patients/patient/:mid/vascularAccessDetail/:pid',
    component: () => import('@/xt_pages/user/vascularAccessDetail'),
    hidden: true,
    is_menu: false,
    name: 'vascularAccessDetail',
    meta: {
      title: 'vascularAccessDetail',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/dialysisRecord',
    component: () => import('@/xt_pages/user/dialysisRecord'),
    hidden: true,
    is_menu: false,
    name: 'dialysisRecord',
    meta: {
      title: 'dialysisRecord',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/scheduling',
    component: () => import('@/xt_pages/user/scheduling'),
    hidden: true,
    is_menu: false,
    name: 'scheduling',
    meta: {
      title: 'scheduling',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/doctorAdvice',
    component: () => import('@/xt_pages/user/doctorAdvice'),
    hidden: true,
    is_menu: false,
    name: 'doctorAdvice',
    meta: {
      title: 'doctorAdvice',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/dryWeight',
    component: () => import('@/xt_pages/user/dryWeight'),
    hidden: true,
    is_menu: false,
    name: 'dryWeight',
    meta: { title: 'dryWeight', noCache: true }
  },
  {
    path: '/patients/inspection',
    component: () => import('@/xt_pages/user/inspection'),
    hidden: true,
    is_menu: false,
    name: 'Inspection',
    meta: {
      title: 'inspection',
      noCache: true
    }
  },
  {
    path: '/patients/patients/:id/inspectionInfectious',
    component: () => import('@/xt_pages/user/inspectionInfectious'),
    hidden: true,
    is_menu: false,
    name: 'inspectionInfectious',
    meta: {
      title: 'inspectionInfectious',
      noCache: true
    }
  },
  {
    path: '/patient/patient/:id/templateSummary',
    component: () => import('@/xt_pages/user/templateSummary'),
    hidden: true,
    is_menu: false,
    name: 'templateSummary',
    meta: {
      title: 'templateSummary',
      noCache: true
    }
  },
  {
    path: '/patient/patient/:id/hospitalSummary',
    component: () => import('@/xt_pages/user/hospitalSummary'),
    hidden: true,
    is_menu: false,
    name: 'hospitalSummary',
    meta: {
      title: 'hospitalSummary',
      noCache: true
    }
  },
  {
    path: '/patients/course',
    component: () => import('@/xt_pages/user/courseOfDisease'),
    hidden: true,
    is_menu: false,
    name: 'CourseOfDiseaseManage',
    meta: {
      title: 'CourseOfDiseaseManage',
      noCache: true
    }
  },
  {
      path: '/patients/sickhistory',
      component: () => import('@/xt_pages/user/sickHistory'),
      hidden: true,
      is_menu: false,
      name: 'sickHistory',
      meta: { title: 'sickHistory', noCache: true }
  },
  {
      path: '/patients/inspection_check',
      component: () => import('@/xt_pages/user/inspectionCheck'),
      hidden: true,
      is_menu: false,
      name: 'inspectionCheck',
      meta: { title: 'inspectionCheck', noCache: true }
  },
  {
    path: '/patients/ktv',
    component: () => import('@/xt_pages/user/ktv'),
    hidden: true,
    is_menu: false,
    name: 'ktv',
    meta: { title: 'ktv', noCache: true }
  },
  {
    path: '/patients/physicalexamination',
    component: () => import('@/xt_pages/user/Physicalexamination'),
    hidden: true,
    is_menu: false,
    name: 'physicalexamination',
    meta: { title: 'physicalexamination', noCache: true }
  },
  {
    path: '/patients/rescue',
    component: () => import('@/xt_pages/user/rescueRecord'),
    hidden: true,
    is_menu: false,
    name: 'RescueRecord',
    meta: {
      title: 'RescueRecord',
      noCache: true
    }
  },
  {
    path: '/patients/patient/:id/proeducation',
    component: () => import('@/xt_pages/user/proeducation'),
    hidden: true,
    is_menu: false,
    name: 'proeducation',
    meta: {
      title: 'proeducation',
      noCache: true
    }
  },
  {
    path: '/course/print',//coursePrint
    component: () => import('@/xt_pages/user/coursePrint'),
    hidden: true,
    is_menu: false,
    name: 'coursePrint',
    meta: {
      title: 'coursePrint',
      noCache: true
    }
  },
  {
    path: '/sickhistory/print',
    component: () => import('@/xt_pages/user/physiqueprinting'),
    hidden: true,
    is_menu: false,
    name: 'physiquePrinting',
    meta: {
      title: 'physiquePrinting',
      noCache: true
    }
  },
  {
    path: '/physique/print',
    component: () => import('@/xt_pages/user/physiqueprintingtwo'),
    hidden: true,
    is_menu: false,
    name: 'physiqueprintingtwo',
    meta: {
      title: 'physiqueprintingtwo',
      noCache: true
    }
  },
  {
    path: '/patient/patient/templateSummary/print',
    component: () => import('@/xt_pages/user/templateSummaryPrint'),
    hidden: true,
    is_menu: false,
    name: 'templateSummary',
    meta: {
      title: 'templateSummary',
      noCache: true
    }
  },
  // {
  //   path: '/patient/patient/templateSummary/print_1',
  //   component: () => import('@/xt_pages/user/templateSummaryPrint_1'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'templateSummary_1',
  //   meta: {
  //     title: 'templateSummary_1',
  //     noCache: true
  //   }
  // },
  {
    path: '/patient/patient/hospitalSummary/print',
    component: () => import('@/xt_pages/user/hospitalSummaryPrint'),
    hidden: true,
    is_menu: false,
    name: 'templateSummary',
    meta: {
      title: 'templateSummary',
      noCache: true
    }
  },
  {
    path: '/patient/patient/:id/firstDisease',
    component: () => import('@/xt_pages/user/firstDisease'),
    hidden: true,
    is_menu: false,
    name: 'firstDisease',
    meta: {
      title: 'firstDisease',
      noCache: true
    }
  },
  {
    path: '/patient/patient/firstDisease/print',
    component: () => import('@/xt_pages/user/firstDiseasePrint'),
    hidden: true,
    is_menu: false,
    name: 'firstDiseasePrint',
    meta: {
      title: 'firstDiseasePrint',
      noCache: true
    }
  },

  // {//评估工具/跌倒评估
  //   path: '/patients/patient/:id/Fallassessment',
  //   component: () => import('@/xt_pages/user/evaluationtool/Fallassessment'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Fallassessment',
  //   meta: {
  //     title: 'firstDiseasePrint',
  //     noCache: true
  //   }
  // },
  // {//小儿跌倒风险评估
  //   path: '/patients/patient/:id/pediatricFallAssessment',
  //   component: () => import('@/xt_pages/user/evaluationtool/pediatricFallAssessment'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'pediatricFallAssessment',
  //   meta: {
  //     title: 'pediatricFallAssessment',
  //     noCache: true
  //   }
  // },
  // {//压疮风险评估
  //   path: '/patients/patient/:id/pressuresore',
  //   component: () => import('@/xt_pages/user/evaluationtool/pressuresore'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'pressuresore',
  //   meta: {
  //     title: 'pressuresore',
  //     noCache: true
  //   }
  // },
  // {//oh压疮评估
  //   path: '/patients/patient/:id/OHpressuresore',
  //   component: () => import('@/xt_pages/user/evaluationtool/OHpressuresore'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'OHpressuresore',
  //   meta: {
  //     title: 'OHpressuresore',
  //     noCache: true
  //   }
  // },
  // {//日常生活能力评估
  //   path: '/patients/patient/:id/dailyLife',
  //   component: () => import('@/xt_pages/user/evaluationtool/dailyLife'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'dailyLife',
  //   meta: {
  //     title: 'dailyLife',
  //     noCache: true
  //   }
  // },
  // {//导管脱落风险评估
  //   path: '/patients/patient/:id/Cathetershedding',
  //   component: () => import('@/xt_pages/user/evaluationtool/Cathetershedding'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Cathetershedding',
  //   meta: {
  //     title: 'Cathetershedding',
  //     noCache: true
  //   }
  // },
  // {//RASS及疼痛评估
  //   path: '/patients/patient/:id/RassAssessment',
  //   component: () => import('@/xt_pages/user/evaluationtool/RassAssessment'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'RassAssessment',
  //   meta: {
  //     title: 'RassAssessment',
  //     noCache: true
  //   }
  // },
  // {//营养状况评估
  //   path: '/patients/patient/:id/nourishmentAssessment',
  //   component: () => import('@/xt_pages/user/evaluationtool/nourishmentAssessment'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'nourishmentAssessment',
  //   meta: {
  //     title: 'nourishmentAssessment',
  //     noCache: true
  //   }
  // },
  // {//约束告知单
  //   path: '/patients/patient/:id/Constraintnotification',
  //   component: () => import('@/xt_pages/user/evaluationtool/Constraintnotification'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Constraintnotification',
  //   meta: {
  //     title: 'Constraintnotification',
  //     noCache: true
  //   }
  // },
  // {//心理评估
  //   path: '/patients/patient/:id/mindAssessment',
  //   component: () => import('@/xt_pages/user/evaluationtool/mindAssessment'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'mindAssessment',
  //   meta: {
  //     title: 'mindAssessment',
  //     noCache: true
  //   }
  // },
  // {//瘙痒评估
  //   path: '/patients/patient/:id/pruritusAssessment',
  //   component: () => import('@/xt_pages/user/evaluationtool/pruritusAssessment'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'pruritusAssessment',
  //   meta: {
  //     title: 'pruritusAssessment',
  //     noCache: true
  //   }
  // },
  // {//血液透析患者评估
  //   path: '/patients/patient/:id/hemodialysis',
  //   component: () => import('@/xt_pages/user/evaluationtool/hemodialysis'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'hemodialysis',
  //   meta: {
  //     title: 'hemodialysis',
  //     noCache: true
  //   }
  // },
  // {//Glasgow昏迷评分量表
  //   path: '/patients/patient/:id/Glasgow',
  //   component: () => import('@/xt_pages/user/evaluationtool/Glasgow'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Glasgow',
  //   meta: {
  //     title: 'Glasgow',
  //     noCache: true
  //   }
  // },
  // {//肌力评估表
  //   path: '/patients/patient/:id/Muscleforce',
  //   component: () => import('@/xt_pages/user/evaluationtool/Muscleforce'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Muscleforce',
  //   meta: {
  //     title: 'Muscleforce',
  //     noCache: true
  //   }
  // },
  // {//跌倒评估历史评估
  //   path: '/patients/tumble_history',
  //   component: () => import('@/xt_pages/user/history/tumble_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'tunele_history',
  //   meta: {
  //     title: 'tunele_history',
  //     noCache: true
  //   }
  // },
  // {//小儿跌倒评估历史评估
  //   path: '/patients/Children_history',
  //   component: () => import('@/xt_pages/user/history/Children_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Children_history',
  //   meta: {
  //     title: 'Children_history',
  //     noCache: true
  //   }
  // },
  // {//压疮历史评估
  //   path: '/patients/Pressure_history',
  //   component: () => import('@/xt_pages/user/history/Pressure_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'Pressure_history',
  //   meta: {
  //     title: 'Pressure_history',
  //     noCache: true
  //   }
  // },
  // {//日常历史评估
  //   path: '/patients/date_history',
  //   component: () => import('@/xt_pages/user/history/date_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'date_history',
  //   meta: {
  //     title: 'date_history',
  //     noCache: true
  //   }
  // },
  // {//导管脱落历史评估
  //   path: '/patients/daoguan_history',
  //   component: () => import('@/xt_pages/user/history/daoguan_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'daoguan_history',
  //   meta: {
  //     title: 'daoguan_history',
  //     noCache: true
  //   }
  // },
  // {//RASS历史评估
  //   path: '/patients/RASS_history',
  //   component: () => import('@/xt_pages/user/history/RASS_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'RASS_history',
  //   meta: {
  //     title: 'RASS_history',
  //     noCache: true
  //   }
  // },
  // {//营养历史评估
  //   path: '/patients/nourishment_history',
  //   component: () => import('@/xt_pages/user/history/nourishment_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'nourishment_history',
  //   meta: {
  //     title: 'nourishment_history',
  //     noCache: true
  //   }
  // },
  // {//心理历史评估
  //   path: '/patients/mind_history',
  //   component: () => import('@/xt_pages/user/history/mind_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'mind_history',
  //   meta: {
  //     title: 'mind_history',
  //     noCache: true
  //   }
  // },
  // {//瘙痒历史评估
  //   path: '/patients/pruritus_history',
  //   component: () => import('@/xt_pages/user/history/pruritus_history'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'pruritus_history',
  //   meta: {
  //     title: 'pruritus_history',
  //     noCache: true
  //   }
  // },
  {//知情同意书
    path: '/patients/patient/:id/Informedconsent',
    component: () => import('@/xt_pages/user/Informed/Informedconsent'),
    hidden: true,
    is_menu: false,
    name: 'Informedconsent',
    meta: {
      title: 'Informedconsent',
      noCache: true
    }
  },
  // {//血管通路图 pruritus_history
  //   path: '/patients/patient/:id/angiogram',
  //   component: () => import('@/xt_pages/user/angiogram'),
  //   hidden: true,
  //   is_menu: false,
  //   name: 'angiogram',
  //   meta: {
  //     title: 'angiogram',
  //     noCache: true
  //   }
  // },
  ]
}
